Msys2 Mingw-w64 not recognising boost libraries

I am trying to build Ardour from source on windows. It requires boost version greater than 1.56.
While I have installed mingw-w64-x86_64-boost version 1.73. But build is failing, stating that

Checking for boost library >= 1.56                   : too old
Please install boost version 1.56 or higher.
The configuration failed

What can be done to overcome this problem?